Bug 146531 - [MAINTAINER] graphics/libgeotiff: update to 1.3.0
[MAINTAINER] graphics/libgeotiff: update to 1.3.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 02:30 UTC by sunpoet
Modified: 2010-07-26 15:40 UTC (History)
0 users

See Also:


Attachments
libgeotiff-1.3.0.patch (5.56 KB, patch)
2010-05-13 02:30 UTC, sunpoet
no flags Details | Diff
file.diff (2.93 KB, patch)
2010-05-13 02:30 UTC, sunpoet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sunpoet 2010-05-13 02:30:02 UTC
- Update to 1.3.0
- Bump PORTREVISION

Removed file(s):
- files/patch-Makefile.in

Generated with FreeBSD Port Tools 0.99
Comment 1 Wen Heping freebsd_committer 2010-05-13 02:37:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 wenheping 2010-05-30 09:04:43 UTC
Hi,

    The build failed on FreeBSD 6 and 7, here is the build log:

===>   libgeotiff-1.3.0 depends on file: /usr/local/bin/doxygen - found
===>   libgeotiff-1.3.0 depends on file: /usr/local/bin/automake-1.10 - found
===>   libgeotiff-1.3.0 depends on file: /usr/local/bin/autoconf-2.62 - found
===>   libgeotiff-1.3.0 depends on shared library: jpeg.11 - found
===>   libgeotiff-1.3.0 depends on shared library: proj.6 - found
===>   libgeotiff-1.3.0 depends on shared library: tiff.4 - found
===>  Configuring for libgeotiff-1.3.0
checking build system type... i386-portbld-freebsd6.4
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking dependency style of c++... gcc3
checking how to run the C++ preprocessor... c++ -E
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking host system type... i386-portbld-freebsd6.4
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... cc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... c++ -E
checking for g77... no
checking for xlf... no
checking for f77... f77
checking whether we are using the GNU Fortran 77 compiler... yes
checking whether f77 accepts -g... yes
checking the maximum length of command line arguments... (cached) 262144
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if cc supports -fno-rtti -fno-exceptions... no
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... yes
checking dynamic linker characteristics... freebsd6.4 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by c++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking for c++ option to produce PIC... -fPIC
checking if c++ PIC flag -fPIC works... yes
checking if c++ static flag -static works... yes
checking if c++ supports -c -o file.o... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... freebsd6.4 ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for f77 option to produce PIC... -fPIC
checking if f77 PIC flag -fPIC works... yes
checking if f77 static flag -static works... yes
checking if f77 supports -c -o file.o... yes
checking whether the f77 linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... freebsd6.4 ld.so
checking how to hardcode library paths into programs... immediate
checking for string.h... (cached) yes
checking stdio.h usability... yes
checking stdio.h presence... yes
checking for stdio.h... yes
checking for stdlib.h... (cached) yes
checking for debug enabled... no
checking for exp in -lm... yes
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for library containing inflateInit_... -lz
checking for library containing jinit_compress_master... -ljpeg
using jpeg from /usr/local/include
checking for TIFFOpen in -ltiff... yes
checking for TIFFMergeFieldInfo in -ltiff... yes
Found -L/usr/local/lib -lproj
Found /usr/local/include/projects.h
checking if EPSG tables will be read from .csv files... no
checking for doxygen... /usr/local/bin/doxygen
checking for perl... /usr/bin/perl
checking for dot... no
configure: WARNING: dot not found - will not generate graphics for
doxygen documentation
checking for hhc... no
configure: WARNING: hhc not found - will not generate doxygen
compressed HTML help documentation
configure: error: doxygen-chi requires doxygen-chi
===>  Script "configure" failed unexpectedly.
Please report the problem to sunpoet@sunpoet.net [maintainer] and attach the
"/work/a/ports/graphics/libgeotiff/work/libgeotiff-1.3.0/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /a/ports/graphics/libgeotiff.
================================================================
build of /usr/ports/graphics/libgeotiff ended at Sun May 30 05:11:49 UTC 2010
Comment 3 sunpoet 2010-06-12 23:54:19 UTC
Updated Makefile patch is attached.

--- libgeotiff-1.3.0-Makefile.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/graphics/libgeotiff/Makefile /usr/ports/sunpoet/libgeotiff/Makefile
--- /usr/ports/graphics/libgeotiff/Makefile	2010-05-08 17:30:36.000000000 +0800
+++ /usr/ports/sunpoet/libgeotiff/Makefile	2010-06-13 06:36:22.000000000 +0800
@@ -6,25 +6,29 @@
 #
 
 PORTNAME=	libgeotiff
-PORTVERSION=	1.2.5
-PORTREVISION=	3
+PORTVERSION=	1.3.0
 CATEGORIES=	graphics
 MASTER_SITES=	http://download.osgeo.org/geotiff/libgeotiff/ \
-		ftp://ftp.remotesensing.org/geotiff/libgeotiff/
+		ftp://ftp.remotesensing.org/geotiff/libgeotiff/ \
+		http://sunpoet.net/distfiles/
 
 MAINTAINER=	sunpoet@sunpoet.net
 COMMENT=	Library for reading and writing GeoTIFF information tags
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
-		proj.6:${PORTSDIR}/graphics/proj \
-		tiff.4:${PORTSDIR}/graphics/tiff
-
-USE_GNOME=	gnometarget
-USE_AUTOTOOLS=	automake:15:env autoconf:262:env
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--with-jpeg=${LOCALBASE} \
+LIB_DEPENDS=	jbig:${PORTSDIR}/graphics/jbigkit \
+		jpeg:${PORTSDIR}/graphics/jpeg \
+		proj:${PORTSDIR}/graphics/proj \
+		tiff:${PORTSDIR}/graphics/tiff
+
+CONFIGURE_ARGS=	--disable-doxygen-doc \
+		--disable-doxygen-dot \
+		--disable-doxygen-html \
+		--disable-doxygen-man \
+		--with-jpeg=${LOCALBASE} \
 		--with-proj=${LOCALBASE} \
-		--with-libtiff=${LOCALBASE}
+		--with-libtiff=${LOCALBASE} \
+		--with-zlib=/usr
+GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
 .include <bsd.port.pre.mk>
--- libgeotiff-1.3.0-Makefile.patch ends here ---
Comment 4 dfilter freebsd_committer 2010-07-26 15:32:36 UTC
sylvio      2010-07-26 14:32:26 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libgeotiff  Makefile distinfo pkg-plist 
  Removed files:
    graphics/libgeotiff/files patch-Makefile.in 
  Log:
  - Update to 1.3.0
  
  PR:             ports/146531
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net> (maintainer)
  Approved by:    wen@ (He is on vacation. I've his permission for commit your Pr)
  
  Revision  Changes    Path
  1.13      +16 -12    ports/graphics/libgeotiff/Makefile
  1.5       +3 -3      ports/graphics/libgeotiff/distinfo
  1.3       +0 -34     ports/graphics/libgeotiff/files/patch-Makefile.in (dead)
  1.5       +7 -2      ports/graphics/libgeotiff/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2010-07-26 15:34:53 UTC
sylvio      2010-07-26 14:34:40 UTC

  FreeBSD ports repository

  Modified files:
    graphics/gdal        Makefile 
  Log:
  - BUMP PORTREVISION due of update of graphics/libgeotiff.
  
  PR:             ports/146531
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net> (maintainer)
  
  Revision  Changes    Path
  1.43      +2 -2      ports/graphics/gdal/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 sylvio freebsd_committer 2010-07-26 15:35:01 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!